<!DOCTYPE html>
<html lang="en">
<head>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/vue/1.0.26/vue.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/axios/0.19.1/axios.js"></script>
</head>
<body>
    <div id="content">
        <div v-html="typeform"></div>   
    </div>
    <script>

        import Vue from 'vue'
        import App from './App'
        import Example from './components/Example'
        import router from './router' //this will import router/index.js

        import config from "../../config";
        import { pageService } from "../../services";

        new Vue({
            el:"#content",
            components: {pageService,App,Example,router,Vue},
            data() {
                return {
                    config: config,
                    typeform: {}
                };
            }, 
            mounted(){
                this.getContentPageById();
            },
            methods: {
                getContentPageById(){
                    pageService.getContentPageById({id: this.$route.params.id})
                        .then(response => {
                            this.typeform = response.data.result;
                    });
                }
            },
        });
    </script>
</body>
</html>